| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::ChatStateMap Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

Inherits QMap< uint, uint >.

## Public Member Functions

| ChatStateMap ()
| ChatStateMap (const QMap< uint, uint > &a)
ChatStateMap & | operator= (const QMap< uint, uint > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<uint, uint>, but needed to have a discrete type in the Qt type system.

A map from contacts to their chat states.

## Constructor & Destructor Documentation

Tp::ChatStateMap::ChatStateMap | ( |  | ) |

inline

Tp::ChatStateMap::ChatStateMap | ( | const QMap< uint, uint > & | a | ) |

inline

## Member Function Documentation

ChatStateMap& Tp::ChatStateMap::operator= | ( | const QMap< uint, uint > & | a | ) |

inline